/**
* <div id="contentSub">(Redirected from <a href="http://developer.mozilla.org/en/docs/index.php?title=Core_JavaScript_1.5_Reference:Properties:NaN&amp;redirect=no" shape="rect" title="Core JavaScript 1.5 Reference:Properties:NaN">Core JavaScript 1.5 Reference:Properties:NaN</a>)</div>
* 
* <h2> <span> Summary </span></h2>
* <p>A value representing Not-A-Number.
* </p>
* <table border="1" style="background:#FFFFFF none repeat scroll 0%;border: 1px solid #666666;margin-bottom:10px;margin-top:10px" width="100%">
* <tr>
* <td colspan="2" rowspan="1" style="background:#DDDDDD none repeat scroll 0%; border:1px solid #BBBBBB;">Core Global Property</td>
* </tr>
* <tr>
* <td colspan="1" rowspan="1">Implemented in:</td>
* <td colspan="1" rowspan="1">JavaScript 1.3</td>
* </tr>
* <tr>
* <td colspan="1" rowspan="1">ECMA Version:</td>
* <td colspan="1" rowspan="1">ECMA-262</td>
* </tr>
* </table>
* <h2> <span> Syntax </span></h2>
* <p><code>NaN</code>
* </p>
* <h2> <span> Description </span></h2>
* <p><code>NaN</code> is a property of the <i>global object</i>, i.e. it is a variable in global scope.
* </p><p>The initial value of <code>NaN</code> is Not-A-Number - the same as the value of <a href="Core_JavaScript_1.5_Reference:Global_Objects:Number:NaN" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:NaN">Number.NaN</a>.
* </p><p><code>NaN</code> is always unequal to any other number, including <code>NaN</code> itself; you cannot check for the not-a-number value by comparing to <code>Number.NaN</code>. Use the <code><a href="isNaN" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:isNaN">isNaN</a></code> function instead.
* </p><p>Several JavaScript methods (such as the <a href="Number" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number"><code>Number</code> constructor</a>, <a href="parseFloat" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:parseFloat"><code>parseFloat</code></a>, and <a href="parseInt" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:parseInt"><code>parseInt</code></a>) return <code>NaN</code> if the value specified in the parameter can not be parsed as a number.
* </p><p>You might use the <code>NaN</code> property to indicate an error condition for your function that returns a number in case of success.
* </p><p>JavaScript prints the value <code>Number.NaN</code> as <code>NaN</code>.
* </p>
* <h2> <span> See also </span></h2>
* <p><a href="Core_JavaScript_1.5_Reference:Global_Functions:isNaN" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:isNaN">isNaN</a>,
* <a href="Number:NaN" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:NaN">Number.NaN</a>
* </p>
* 
* <ul style="list-style-type:none;font-size:0.9em;text-align:center">
* <li id="f-copyright">Content is available under <a href="http://developer.mozilla.org/en/docs/MDC:Copyrights" shape="rect" title="MDC:Copyrights">these licenses</a>.</li>	  		<li id="f-about"><a href="http://developer.mozilla.org/en/docs/MDC:About" shape="rect" title="MDC:About">About MDC</a></li>	  				</ul>
*/
var NaN = {
  // This is just a stub for a builtin native JavaScript object.
};
/**
* <div id="contentSub">(Redirected from <a href="http://developer.mozilla.org/en/docs/index.php?title=Core_JavaScript_1.5_Reference:Properties:NaN&amp;redirect=no" shape="rect" title="Core JavaScript 1.5 Reference:Properties:NaN">Core JavaScript 1.5 Reference:Properties:NaN</a>)</div>
* 
* <h2> <span> Summary </span></h2>
* <p>A value representing Not-A-Number.
* </p>
* <table border="1" style="background:#FFFFFF none repeat scroll 0%;border: 1px solid #666666;margin-bottom:10px;margin-top:10px" width="100%">
* <tr>
* <td colspan="2" rowspan="1" style="background:#DDDDDD none repeat scroll 0%; border:1px solid #BBBBBB;">Core Global Property</td>
* </tr>
* <tr>
* <td colspan="1" rowspan="1">Implemented in:</td>
* <td colspan="1" rowspan="1">JavaScript 1.3</td>
* </tr>
* <tr>
* <td colspan="1" rowspan="1">ECMA Version:</td>
* <td colspan="1" rowspan="1">ECMA-262</td>
* </tr>
* </table>
* <h2> <span> Syntax </span></h2>
* <p><code>NaN</code>
* </p>
* <h2> <span> Description </span></h2>
* <p><code>NaN</code> is a property of the <i>global object</i>, i.e. it is a variable in global scope.
* </p><p>The initial value of <code>NaN</code> is Not-A-Number - the same as the value of <a href="Core_JavaScript_1.5_Reference:Global_Objects:Number:NaN" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:NaN">Number.NaN</a>.
* </p><p><code>NaN</code> is always unequal to any other number, including <code>NaN</code> itself; you cannot check for the not-a-number value by comparing to <code>Number.NaN</code>. Use the <code><a href="isNaN" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:isNaN">isNaN</a></code> function instead.
* </p><p>Several JavaScript methods (such as the <a href="Number" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number"><code>Number</code> constructor</a>, <a href="parseFloat" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:parseFloat"><code>parseFloat</code></a>, and <a href="parseInt" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:parseInt"><code>parseInt</code></a>) return <code>NaN</code> if the value specified in the parameter can not be parsed as a number.
* </p><p>You might use the <code>NaN</code> property to indicate an error condition for your function that returns a number in case of success.
* </p><p>JavaScript prints the value <code>Number.NaN</code> as <code>NaN</code>.
* </p>
* <h2> <span> See also </span></h2>
* <p><a href="Core_JavaScript_1.5_Reference:Global_Functions:isNaN" shape="rect" title="Core JavaScript 1.5 Reference:Global Functions:isNaN">isNaN</a>,
* <a href="Number:NaN" shape="rect" title="Core JavaScript 1.5 Reference:Global Objects:Number:NaN">Number.NaN</a>
* </p>
* 
* <ul style="list-style-type:none;font-size:0.9em;text-align:center">
* <li id="f-copyright">Content is available under <a href="http://developer.mozilla.org/en/docs/MDC:Copyrights" shape="rect" title="MDC:Copyrights">these licenses</a>.</li>	  		<li id="f-about"><a href="http://developer.mozilla.org/en/docs/MDC:About" shape="rect" title="MDC:About">About MDC</a></li>	  				</ul>
*/
function NaN() {};

