var HTMLTableElement = Object.extend(new HTMLElement(), {
  // This is just a stub for a builtin native JavaScript object.
/**
 * Aligns this object (vertically or horizontally) with respect to
 * its surrounding text. See the 
 * align attribute definition in HTML 4.01. This attribute is
 * deprecated in HTML 4.01.
 * @type String
 */
align: undefined,
/**
 * Cell background color. See the 
 * bgcolor attribute definition in HTML 4.01. This attribute is
 * deprecated in HTML 4.01.
 * @type String
 */
bgColor: undefined,
/**
 * The width of the border around the table. See the 
 * border attribute definition in HTML 4.01.
 * @type String
 */
border: undefined,
/**
 * Returns the table's CAPTION, or void if none
 * exists.
 * @type HTMLTableCaptionElement
 */
caption: undefined,
/**
 * Specifies the horizontal and vertical space between cell
 * content and cell borders. See the 
 * cellpadding attribute definition in HTML 4.01.
 * @type String
 */
cellPadding: undefined,
/**
 * Specifies the horizontal and vertical separation between cells.
 * See the 
 * cellspacing attribute definition in HTML 4.01.
 * @type String
 */
cellSpacing: undefined,
/**
 * Create a new table caption object or return an
 * existing one.
 * @return HTMLElement A CAPTION element.
 * @type HTMLElement
 */
createCaption: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Create a table footer row or return an existing
 * one.
 * @return HTMLElement A footer element ( TFOOT ).
 * @type HTMLElement
 */
createTFoot: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Create a table header row or return an existing
 * one.
 * @return HTMLElement A new table header element ( THEAD ).
 * @type HTMLElement
 */
createTHead: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Delete the table caption, if one exists.
 * @type void
 */
deleteCaption: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Delete a row from this section.
 * @param {Number} index of type long The index of the row to be deleted, or -1 to delete the last
 * row. This index starts from 0 and is relative only to the rows
 * contained inside this section, not all the rows in the table.
 * @type void
 */
deleteRow: function(index) {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Delete the footer from the table, if one
 * exists.
 * @type void
 */
deleteTFoot: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Delete the header from the table, if one
 * exists.
 * @type void
 */
deleteTHead: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Specifies which external table borders to render. See the 
 * frame attribute definition in HTML 4.01.
 * @type String
 */
frame: undefined,
/**
 * Insert a row into this section. The new row is
 * inserted immediately before the current index th row in
 * this section. If index is -1 or equal to the number of
 * rows in this section, the new row is appended.
 * @param {Number} index of type long The row number where to insert a new row. This index starts
 * from 0 and is relative only to the rows contained inside this
 * section, not all the rows in the table.
 * @return HTMLElement The newly created row.
 * @type HTMLElement
 */
insertRow: function(index) {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * The number of rows of frames in the frameset. See the 
 * rows attribute definition in HTML 4.01.
 * @type HTMLCollection
 */
rows: undefined,
/**
 * Specifies which internal table borders to render. See the 
 * rules attribute definition in HTML 4.01.
 * @type String
 */
rules: undefined,
/**
 * Description about the purpose or structure of a table. See the
 * @type String
 */
summary: undefined,
/**
 * Returns a collection of the table bodies (including implicit
 * ones).
 * @type HTMLCollection
 */
tBodies: undefined,
/**
 * Returns the table's TFOOT, or null if
 * none exists.
 * @type HTMLTableSectionElement
 */
tFoot: undefined,
/**
 * Returns the table's THEAD, or null if
 * none exists.
 * @type HTMLTableSectionElement
 */
tHead: undefined,
/**
 * Frame width. See the 
 * width attribute definition in HTML 4.01.
 * @type String
 */
width: undefined,
});

